requirements:
libffi from cydia
arm64 device

download:
click

what to do after installing:
ldid -S /usr/bin/python

ios10+:
ldid -S /usr/lib/libpython2.7.dylib
ldid -S /usr/lib/libssl.1.0.0.dylib
ldid -S /usr/lib/libcrypto.1.0.0.dylib

how to install pip:
PYTHONHTTPSVERIFY=0 easy_install pip

should work with ios 8, was tested on ios 9 + ios 10